# Header
And More

## org.jfree.chart.panel
Class AbstractOverlay

    java.lang.Object
      org.jfree.chart.panel.AbstractOverlay

Direct Known Subclasses:
  CrosshairOverlay

    public class AbstractOverlay

extends java.lang.Object

A base class for implementing overlays for a `ChartPanel`.

Since:
  1.0.13

Constructor Summary
`AbstractOverlay()` Default constructor.

Method Summary
`void` `addChangeListener(OverlayChangeListener listener)` Registers an object for notification of changes to the overlay.
`void` `fireOverlayChanged()` Sends a default `ChartChangeEvent` to all registered listeners.
`protected void` `notifyListeners(OverlayChangeEvent event)` Sends a `ChartChangeEvent` to all registered listeners.
`void` `removeChangeListener(OverlayChangeListener listener)` Deregisters an object for notification of changes to the overlay.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractOverlay

    public AbstractOverlay()

  Default constructor.

Method Detail

### addChangeListener

    public void addChangeListener(OverlayChangeListener listener)

  Registers an object for notification of changes to the overlay.

  Parameters:
    `listener` - the listener (`null` not permitted).
  See Also:
    `removeChangeListener(OverlayChangeListener)`

### removeChangeListener

    public void removeChangeListener(OverlayChangeListener listener)

  Deregisters an object for notification of changes to the overlay.

  Parameters:
    `listener` - the listener (`null` not permitted)
  See Also:
    `addChangeListener(OverlayChangeListener)`

### fireOverlayChanged

    public void fireOverlayChanged()

  Sends a default `ChartChangeEvent` to all registered listeners.

  This method is for convenience only.

### notifyListeners

    protected void notifyListeners(OverlayChangeEvent event)

  Sends a `ChartChangeEvent` to all registered listeners.

  Parameters:
    `event` - information about the event that triggered the notification.

# Footer
And More

Copyright © 2000-2009 by Object Refinery Limited. All Rights Reserved.